E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.

Asked by Garebear on 2007-10-28

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.
This the error I get and now 3 newer updates will not update even when I unselect the first error updat.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu libpng Edit question
Assignee:
No assignee Edit question
Solved by:
marcobra (Marco Braida)
Solved:
2007-10-28
Last query:
2007-10-28
Last reply:
2007-10-28
Garebear (garyrk) said : #1

I tried to run 'dpkg --configure -a' in terminal and the os didn't seem to recognize the command.

Open a terminal and type:

sudo dpkg --configure -a

give your user password when requested, you don't see nothing when you type it, then press enter.

HTH

Garebear (garyrk) said : #3

Thank you very much, all is working well.

Garebear (garyrk) said : #4

Thanks elart.it, that solved my question.

nlbs (nlbs) said : #5

I clicked on the 'Install Updates' button in the update manager window when the "E: dpkg was interrupted, you must manually run 'dpkg --config -a'... ..." error occured.

I went into the terminal and typed sudo dpkg --config -a, after which they asked for my password which I keyed in.

Then a bunch of "Type dpkg --help for help etc etc etc" appeared. Last line was back to the command prompt which in my case is nlbs@nlbs-ubuntu-:~$

Nothing happened after that. What do I do next?

Help most appreciated. In terms of my experience with Ubuntu/Linux expressed in human years, I can't even crawl...

david_awsome (revolverdude) said : #6

i tryed that and it just says david@david-desktop:~$ awsome
help